psimi25Complex-class {RpsiXML} | R Documentation

## Class "psimi25Complex"

### Description

A class representing complex data

### Objects from the Class

Objects can be created by calls of `parsePsimi25Complex`

### Slots

`sourceDb`:
  Object of class `"character"`, short label of the source database
`sourceId`:
  Object of class `"character"`, complex ID of the source database
`shortLabel`:
  Object of class `"character"`, short label of the complex
`fullName`:
  Object of class `"character"`, full name of the complex
`organismName`:
  Object of class `"character"`, orgnism name
`taxId`:
  Object of class `"character"`, taxonomy ID
`members`:
  Object of class `"data.frame"`, members (UniProt ID if available)
`attributes`:
  Object of class `"character"`, attributes of the complex

### Methods

show
  `signature(object = "psimi25Complex")`: shows information of the complex
sourceDb
  `signature(x = "psimi25Complex")`: returns source database
sourceId
  `signature(x = "psimi25Complex")`: returns source ID

### Author(s)

Jitao David Zhang <j.zhang@dkfz.de>, Tony Chiang <tchiang@ebi.ac.uk>

### See Also

`parsePsimi25Complex`

### Examples

    showClass("psimi25Complex")

[Package RpsiXML version 1.0.0 Index]